% Tento zjednodušený skript obsahuje len konkrétne príkazy a výpočty, ktoré
% boli vykonané už s pripravenými dátami v otestovaných podmienkach. Pre
% funkčnosť tohoto skriptu je nutné mať nainštatalovanú verziu Matlab 2019b
% a tiež mať nainštalované doplnkové toolboxy Predictive Maintenance, Edfread
% stiahnutú funkciu estimate_hurst_exponent (v prílohe). Priložený je jeden pár
% testovacích dát. Súbor "Subject00_1.edf" obsahuje 22 elektródový záznam
% človeka v kľude a súbor "Subject00_2.edf" obsahuje 22 elektródový záznam
% toho istého človeka pri počítaní aritmetických úloh.

% Načítanie hlavičky a signálu z *.edf formátu.

[headerK,signalKLUD]=edfread('Subject00_1.edf');
[headerZ,signalZATAZ]=edfread('Subject00_2.edf');

% Výber konkrétnej elektródy.Pribudlo v názve EL4 = elektróda č.4.

signalK_EL4=signalKLUD(4,:);
signalZ_EL4=signalZATAZ(4,:);

% Úprava dĺžky signálu z vybranej elektródy.Pribudlo v názve 10000 = dlžka 10000vzoriek

signalK_EL4_10000=signalK_EL4(:,[1:10000]);
signalZ_EL4_10000=signalZ_EL4(:,[1:10000]);

% Výpočet parametru Approximate entropy.

ApEn_KLUD  = approximateEntropy(signalK_EL4_10000);    
ApEn_ZATAZ = approximateEntropy(signalZ_EL4_10000);

% Výpočet parametru Korelačná dimenzia.

CD_KLUD  = correlationDimension(signalK_EL4_10000);    
CD_ZATAZ = correlationDimension(signalZ_EL4_10000);

% Výpočet parametru Lyapunov exponent. 

LLE_KLUD  =  lyapunovExponent(signalK_EL4_10000);
LLE_ZATAZ  = lyapunovExponent(signalZ_EL4_10000);

% Výpočet parametru Hurstov exponent.

HE_KLUD =  estimate_hurst_exponent(signalK_EL4_10000);
HE_ZATAZ = estimate_hurst_exponent(signalZ_EL4_10000);

% Výsledné hodnoty boli presunuté do tabuľky v MS Excel a štatisticky
% spracované.